Name:           rootfs-resize
Version:        0.3
Release:        3%{?dist}
Summary:        Root partition re-sizing service for SD cards

License:        GPLv2+
URL:            http://zenit.senecac.on.ca/wiki/index.php/Fedora_ARM_Secondary_Architecture/rootfs-resize
Source0:        http://scotland.proximity.on.ca/fedora-arm/%{name}/%{name}-%{version}.tgz
Patch0:		rr-count-dev.patch

# Note: This package is intended for use on ARM development boards,
# but may be useful on other systems that run from SD cards.
#
# It is noarch because it does not contain binary code. It
# appears that ExclusiveArch cannot be used with BuildArch.
BuildArch:      noarch

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires:       bash systemd-units coreutils grep util-linux e2fsprogs

%description
rootfs-resize is a root partition and file system re-sizing service for
systems running from SD cards.

%prep
%setup -q
%patch0 -p1 

%build
echo "Nothing to do for build"

%install
mkdir -p %{buildroot}/%{_unitdir}
cp -p %{name}.service %{buildroot}/%{_unitdir}
mkdir -p %{buildroot}/%{_sbindir}
cp -p %{name} %{buildroot}/%{_sbindir}

%files
%doc COPYING README
%ghost %attr(0644,root,root) /.rootfs-repartition
%ghost %attr(0644,root,root) /.rootfs-resize
%ghost %attr(0644,root,root) /.nofsresize
%defattr(-,root,root,-)
%{_unitdir}/*
%{_sbindir}/*

%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl enable %{name}.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable %{name}.service > /dev/null 2>&1 || :
    /bin/systemctl stop %{name}.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :
fi

%changelog
* Thu Jun 14 2012 Dennis Gilmore <dennis@ausil.us> - 0.3-3
- add patch from bconoboy to fix some issues at runtime

* Tue Jun 12 2012 Chris Tyler <chris@tylers.info> - 0.3-2
- Script header version number fixup

* Tue Jun 12 2012 Chris Tyler <ctyler@fedoraproject.org> - 0.3-1
- GPL header

* Tue Jun 12 2012 Chris Tyler <ctyler@fedoraproject.org> - 0.2-1
- Fixups for review (script headers, specfile)

* Thu Jun 08 2012 Chris Tyler <ctyler@fedoraproject.org> - 0.1-1
- Initial packaging

